/* This file is Copyright 2001 Level Control Systems.  See the included LICENSE.TXT file for details. */
package com.lcs.muscle.support;

import java.io.IOException;

/** Exception that is thrown when an unflatten() attempt fails, usually
  * due to unrecognized data in the input stream, or a type mismatch.
  */
public class UnflattenFormatException extends IOException
{
    public UnflattenFormatException()
    {
       super("unexpected bytes during PortableFlattenable unflatten");
    }
    
    public UnflattenFormatException(String s)
    {
       super(s);
    }
};
